From 8dd932f823d8cb07b49766ba8462f2d3e64f454d Mon Sep 17 00:00:00 2001
From: Paul Gevers <elbrus@debian.org>
Date: Sun, 5 Oct 2014 21:47:24 +0200
Subject: [PATCH] Only parse file owner/perms during installation

Closes: #720517
---
 dpkg/common |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dpkg/common b/dpkg/common
index 1d8e31e..bbd0d4e 100644
--- a/dpkg/common
+++ b/dpkg/common
@@ -521,12 +521,17 @@ EOF
   if [ "$dbc_install" != "true" ] && [ "$dbc_dgi_on_manual" != "true" ]; then
     return 0
   elif [ "$dbc_generate_include" ]; then
+	# The owner and perms should only be set done during installation,
+	# as administrator changes to configuration files must be respected.
+	# see BTS: #720517
+	if [ "$dbc_oldversion" = "" ]; then
 		if [ "$dbc_generate_include_owner" ]; then
 			dbc_generate_include_args="$dbc_generate_include_args -O $dbc_generate_include_owner"
 		fi
 		if [ "$dbc_generate_include_perms" ]; then
 			dbc_generate_include_args="$dbc_generate_include_args -m $dbc_generate_include_perms"
 		fi
+	fi
 
 		if echo $dbc_generate_include | grep -q -E "^[^:]*:"; then
 			iformat=`echo $dbc_generate_include | cut -d: -f1`
-- 
1.7.10.4

